# Generated by Django 2.2.24 on 2021-12-01 21:24

import django.contrib.auth.models
from django.db import migrations, models


class Migration(migrations.Migration):
    initial = True

    dependencies = [
        ("geodata", "0001_initial"),
        ("management", "0001_initial"),
        ("auth", "0011_update_proxy_permissions"),
        ("accounts", "0001_initial"),
    ]

    operations = [
        migrations.AddField(
            model_name="profile",
            name="catchauth",
            field=models.ManyToManyField(
                blank=True, to="management.CatchAuth", verbose_name="Authorisations de capture"
            ),
        ),
        migrations.AddField(
            model_name="profile",
            name="groups",
            field=models.ManyToManyField(
                blank=True,
                help_text="The groups this user belongs to. A user will get all permissions granted to each of their groups.",
                related_name="user_set",
                related_query_name="user",
                to="auth.Group",
                verbose_name="groups",
            ),
        ),
        migrations.AddField(
            model_name="profile",
            name="resp_territory",
            field=models.ManyToManyField(
                blank=True,
                to="geodata.Territory",
                verbose_name="Territoires du rôle de coordinateur",
            ),
        ),
        migrations.AddField(
            model_name="profile",
            name="user_permissions",
            field=models.ManyToManyField(
                blank=True,
                help_text="Specific permissions for this user.",
                related_name="user_set",
                related_query_name="user",
                to="auth.Permission",
                verbose_name="user permissions",
            ),
        ),
        migrations.CreateModel(
            name="UserFullName",
            fields=[],
            options={
                "proxy": True,
                "indexes": [],
                "constraints": [],
            },
            bases=("accounts.profile",),
            managers=[
                ("objects", django.contrib.auth.models.UserManager()),
            ],
        ),
    ]
